package.json 3.73 KB
{
  "name": "research-coi",
  "version": "1701.6.0",
  "description": "KualiCo Research Conflict of Interest",
  "main": "server/app.js",
  "scripts": {
    "build": "npm run build_babel",
    "build_babel": "npm run build_babel_to -- .",
    "build_babel_to": "babel . --ignore \"./client/,./node_modules,./loadtest,./webpack.config.js,./test,./start-server.js\" --copy-files -d ",
    "test": "npm run lint && npm run test_unit",
    "test_no_db": "npm run lint && npm run test_unit_no_db",
    "test_unit": "BABEL_ENV=test NODE_ENV=test nyc --reporter=lcov mocha test",
    "test_unit_no_db": "BABEL_ENV=test NODE_ENV=test nyc --reporter=lcov mocha test/client",
    "test_one": "BABEL_ENV=test NODE_ENV=test mocha -g",
    "report": "nyc report && open ./coverage/lcov-report/index.html",
    "start": "babel-node server/bootstrap.js",
    "start_prod": "node start-server.js",
    "lint": "npm run eslint && npm run stylelint",
    "eslint": "eslint client db server test loadtest functional-tests",
    "stylelint": "stylelint client/**/**/*.css",
    "webpack": "webpack -p --config webpack.config.prod.js",
    "watch": "webpack -w",
    "load": "babel-node loadtest"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/kuali/research-coi"
  },
  "author": "Kuali",
  "license": "AGPL-3.0",
  "bugs": {
    "url": "https://github.com/kuali/research-coi/issues"
  },
  "engines": {
    "node": ">=4.2.6"
  },
  "homepage": "https://github.com/kuali/research-coi",
  "dependencies": {
    "ajv": "4.7.7",
    "alt": "0.18.6",
    "archiver": "1.1.0",
    "babel-core": "6.17.0",
    "babel-polyfill": "6.16.0",
    "babel-preset-es2015": "6.16.0",
    "babel-preset-react": "6.16.0",
    "babel-preset-stage-1": "6.16.0",
    "babel-register": "6.16.3",
    "body-parser": "1.15.2",
    "classnames": "2.2.5",
    "cookie-parser": "1.4.3",
    "cookies-js": "1.2.2",
    "core-decorators": "0.15.0",
    "debug": "2.3.3",
    "draft-js": "0.9.1",
    "express": "4.14.0",
    "knex": "0.12.5",
    "lodash": "4.16.4",
    "lru-cache": "4.0.1",
    "moment": "2.15.1",
    "multer": "1.2.0",
    "mysql": "2.11.1",
    "numeral": "1.5.3",
    "passport-saml": "^0.15.0",
    "pug": "2.0.0-beta6",
    "react": "15.3.2",
    "react-addons-update": "15.3.2",
    "react-day-picker": "3.0.0",
    "react-dnd": "2.1.4",
    "react-dnd-html5-backend": "2.1.2",
    "react-dom": "15.3.2",
    "react-dropzone": "3.6.0",
    "react-modal": "1.5.2",
    "react-router": "2.8.1",
    "rewire": "2.5.2",
    "superagent": "2.3.0",
    "superagent-defaults": "0.1.14"
  },
  "devDependencies": {
    "autoprefixer": "6.5.1",
    "babel-cli": "6.16.0",
    "babel-eslint": "7.0.0",
    "babel-loader": "6.2.5",
    "babel-plugin-rewire": "1.0.0",
    "babel-plugin-transform-decorators-legacy": "1.3.4",
    "css-loader": "0.25.0",
    "css-modules-require-hook": "4.0.5",
    "enzyme": "2.4.1",
    "eslint": "3.11.1",
    "eslint-plugin-contains": "0.0.1",
    "eslint-plugin-custom": "file:eslint-plugin-custom",
    "eslint-plugin-import": "2.2.0",
    "eslint-plugin-module-name": "0.0.5",
    "eslint-plugin-react": "6.8.0",
    "file": "0.2.2",
    "jsdom": "9.6.0",
    "mocha": "3.1.2",
    "nightwatch": "0.9.8",
    "nyc": "8.3.1",
    "postcss": "5.2.4",
    "postcss-loader": "0.13.0",
    "postcss-modules-extract-imports": "1.0.1",
    "postcss-modules-local-by-default": "1.1.1",
    "postcss-modules-scope": "1.0.2",
    "postcss-modules-values": "1.2.2",
    "react-addons-test-utils": "15.3.2",
    "react-shallow-testutils": "2.0.0",
    "rimraf": "2.5.4",
    "sinon": "1.17.6",
    "skin-deep": "0.16.0",
    "style-loader": "0.13.1",
    "stylelint": "7.6.0",
    "stylelint-config-standard": "15.0.0",
    "supertest": "2.0.0",
    "trace-line": "0.0.6",
    "webpack": "1.13.2"
  }
}